import 'package:farmer_client/widgets/DefaultButton.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:fluttertoast/fluttertoast.dart';
import 'package:get/get.dart';

import '../../models/entities/OrderInfoModel.dart';
import '../../services/orderAPI.dart';
import '../../widgets/OrderInfoCard.dart';
import '../../widgets/layout/BasicPage.dart';

// class OrderContentInfo {
//   String title;
//   Color styleColor;
//   StyleObj ({ required this.title, required this.styleColor});
// }



class OrderPageInfo extends BasicPage {
  String id = '';
  String orderStateText = '';
  late Color orderStateColor;

  final orderInfoContent = Rx<OrderInfoModel>(OrderInfoModel());

  // orderStates

  @override
  void beforeShow() {
    // TODO: implement beforeShow
    super.beforeShow();
    if (Get.arguments['id'] != null) {
      id = Get.arguments['id'];

      orderStateText = Get.arguments['title'];
      orderStateColor = Get.arguments['styleColor'];

      orderInfo(id).then((value) {
        orderInfoContent.value = OrderInfoModel.fromJson(value);
      });
    }
  }

  @override
  Widget builder(BuildContext context) {
    naviTitle = '订单详情';

    return Column(
      children: [
        Obx(() =>
            OrderInfoCard(
                item: orderInfoContent.value,
                orderStateText: orderStateText,
                orderStateColor: orderStateColor
            ),
        ),
        _BottomWidget()
        // orderStateText=='已完成'?  Text('')
        //     :orderStateText== '进行中' ?Text('')
        //     :orderStateText=='待评价'? DefaultButton(
        //   color: const Color(0xffffffff),
        //   backColor: const Color(0xFFFF703B),
        //   width: 300.w,
        //   height: 49.h,
        //   text: '评价',
        //   onPressed: () {
        //     Fluttertoast.showToast(msg: '评价成功！');
        //     Get.offAllNamed('/');
        //   },
        //   margin: const EdgeInsets.all(0),
        //   fontSize: 20.sp,
        //   radius: 24.5.w,
        // )
        //     :orderStateText=='待作业'?DefaultButton(
        //   color: const Color(0xffffffff),
        //   backColor: const Color(0xFFFF703B),
        //   width: 300.w,
        //   height: 49.h,
        //   text: '退单',
        //   onPressed: () {
        //     Fluttertoast.showToast(msg: '评价成功！');
        //     Get.offAllNamed('/');
        //   },
        //   margin: const EdgeInsets.all(0),
        //   fontSize: 20.sp,
        //   radius: 24.5.w,
        // )
        //     :orderStateText=='待付款'?_BottomWidget
        //     :orderStateText=='已退单'?Text('')
        //     :orderStateText=='退单申请中'?DefaultButton(
        //   color: const Color(0xffffffff),
        //   backColor: const Color(0xFFFF703B),
        //   width: 300.w,
        //   height: 49.h,
        //   text: orderStateText,
        //   onPressed: () {
        //     Fluttertoast.showToast(msg: '评价成功！');
        //     Get.offAllNamed('/');
        //   },
        //   margin: const EdgeInsets.all(0),
        //   fontSize: 20.sp,
        //   radius: 24.5.w,
        // ):Text(''),

        // Spacer(),
      ],
    );
  }
}

class _BottomWidget extends StatelessWidget {
  const _BottomWidget({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {

    return Container(
      height: 100.w,
      alignment: Alignment.bottomCenter,
      margin: EdgeInsets.fromLTRB(15.w, 0, 15.w, 50.h),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          GestureDetector(
            onTap: () {
              // onCancel();
            },
            child: Container(
              width: 150.w,
              height: 49.h,
              decoration: BoxDecoration(
                  color: const Color(0xffffffff),
                  border: Border.all(
                      color: const Color(0xFFFF703B),
                      width: 1.w,
                      style: BorderStyle.solid),
                  borderRadius:
                  BorderRadius.all(Radius.circular(24.5.w))),
              child: Center(
                child: Text(
                  '取消',
                  style: TextStyle(
                      fontSize: 20.sp,
                      color: const Color(0xFFFF703B),
                      fontWeight: FontWeight.bold),
                ),
              ),
            ),
          ),
          DefaultButton(
            color: const Color(0xffffffff),
            backColor: const Color(0xFFFF703B),
            width: 150.w,
            height: 49.h,
            text: '支付',
            onPressed: () {
              Fluttertoast.showToast(msg: '支付成功！');
              Get.offAllNamed('/');
            },
            margin: const EdgeInsets.all(0),
            fontSize: 20.sp,
            radius: 24.5.w,
          ),
        ],
      ),
    );
  }
}



